# Crow: crow::SSLAdaptor Struct Reference

Loading...
Searching...
No Matches
crow::SSLAdaptor Struct Reference

## Public Types

using | context = asio::ssl::context
using | ssl_socket_t = asio::ssl::stream< tcp::socket >

## Public Member Functions

| SSLAdaptor (asio::io_service &io_service, context *ctx)
asio::ssl::stream< tcp::socket > & | socket ()
tcp::socket::lowest_layer_type & | raw_socket ()
tcp::endpoint | remote_endpoint ()
bool | is_open ()
void | close ()
void | shutdown_readwrite ()
void | shutdown_write ()
void | shutdown_read ()
asio::io_service & | get_io_service ()
template<typename F >
void | start (F f)

## Public Attributes

std::unique_ptr< asio::ssl::stream< tcp::socket > > | ssl_socket_

The documentation for this struct was generated from the following file:

- include/crow/socket_adaptors.h